Index: /palm/trunk/UTIL/inifor/src/inifor_grid.f90
===================================================================
--- /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3865)
+++ /palm/trunk/UTIL/inifor/src/inifor_grid.f90	(revision 3866)
@@ -3291,34 +3310,34 @@
 !> 'lod', as defined by the PALM-4U input data standard.
 !------------------------------------------------------------------------------!
-    FUNCTION init_nc_var(name, std_name, long_name, units, kind, input_id,     &
-                         grid, intermediate_grid, output_file, is_profile)     &
-       RESULT(var)
-
-       CHARACTER(LEN=*), INTENT(IN)      ::  name, std_name, long_name, units, kind
-       INTEGER, INTENT(IN)               ::  input_id
-       TYPE(grid_definition), INTENT(IN), TARGET ::  grid, intermediate_grid
-       TYPE(nc_file), INTENT(IN)         ::  output_file
-       LOGICAL, INTENT(IN), OPTIONAL     ::  is_profile
-
-       CHARACTER(LEN=LNAME)              ::  out_var_kind 
-       TYPE(nc_var)                      ::  var
-
-       out_var_kind = TRIM(kind)
-
-       IF (PRESENT(is_profile))  THEN
-          IF (is_profile)  out_var_kind = TRIM(kind) // ' profile'
-       ENDIF
-
-       var % name              = name
-       var % standard_name     = std_name
-       var % long_name         = long_name
-       var % units             = units
-       var % kind              = TRIM(out_var_kind)
-       var % input_id          = input_id
-       var % nt                = SIZE (output_file % time)
-       var % grid              => grid
-       var % intermediate_grid => intermediate_grid
-
-       SELECT CASE( TRIM(out_var_kind) )
+ FUNCTION init_nc_var(name, std_name, long_name, units, kind, input_id,     &
+                      grid, intermediate_grid, output_file, is_profile)     &
+    RESULT(var)
+
+    CHARACTER(LEN=*), INTENT(IN)      ::  name, std_name, long_name, units, kind
+    INTEGER, INTENT(IN)               ::  input_id
+    TYPE(grid_definition), INTENT(IN), TARGET ::  grid, intermediate_grid
+    TYPE(nc_file), INTENT(IN)         ::  output_file
+    LOGICAL, INTENT(IN), OPTIONAL     ::  is_profile
+
+    CHARACTER(LEN=LNAME)              ::  out_var_kind 
+    TYPE(nc_var)                      ::  var
+
+    out_var_kind = TRIM(kind)
+
+    IF (PRESENT(is_profile))  THEN
+       IF (is_profile)  out_var_kind = TRIM(kind) // ' profile'
+    ENDIF
+
+    var%name              = name
+    var%standard_name     = std_name
+    var%long_name         = long_name
+    var%units             = units
+    var%kind              = TRIM(out_var_kind)
+    var%input_id          = input_id
+    var%nt                = SIZE (output_file%time)
+    var%grid              => grid
+    var%intermediate_grid => intermediate_grid
+
+    SELECT CASE( TRIM(out_var_kind) )
 
 !
@@ -3327,302 +3346,302 @@
 !--    TODO: and pass into init_nc_var.
        CASE( 'init soil' )
-          var % nt              = 1
-          var % lod             = 2
-          var % ndim            = 3
-          var % dimids(1:3)     = output_file % dimids_soil
-          var % dimvarids(1:3)  = output_file % dimvarids_soil
-          var % to_be_processed = init_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_2d"
+          var%nt              = 1
+          var%lod             = 2
+          var%ndim            = 3
+          var%dimids(1:3)     = output_file%dimids_soil
+          var%dimvarids(1:3)  = output_file%dimvarids_soil
+          var%to_be_processed = init_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_2d"
 
        CASE( 'init scalar' )
-          var % nt              = 1
-          var % lod             = 2
-          var % ndim            = 3
-          var % dimids(1:3)     = output_file % dimids_scl
-          var % dimvarids(1:3)  = output_file % dimvarids_scl
-          var % to_be_processed = init_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%nt              = 1
+          var%lod             = 2
+          var%ndim            = 3
+          var%dimids(1:3)     = output_file%dimids_scl
+          var%dimvarids(1:3)  = output_file%dimvarids_scl
+          var%to_be_processed = init_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'init u' )
-          var % nt              = 1
-          var % lod             = 2
-          var % ndim            = 3
-          var % dimids(1)       = output_file % dimids_vel(1)
-          var % dimids(2)       = output_file % dimids_scl(2)
-          var % dimids(3)       = output_file % dimids_scl(3)
-          var % dimvarids(1)    = output_file % dimvarids_vel(1)
-          var % dimvarids(2)    = output_file % dimvarids_scl(2)
-          var % dimvarids(3)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = init_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%nt              = 1
+          var%lod             = 2
+          var%ndim            = 3
+          var%dimids(1)       = output_file%dimids_vel(1)
+          var%dimids(2)       = output_file%dimids_scl(2)
+          var%dimids(3)       = output_file%dimids_scl(3)
+          var%dimvarids(1)    = output_file%dimvarids_vel(1)
+          var%dimvarids(2)    = output_file%dimvarids_scl(2)
+          var%dimvarids(3)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = init_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'init v' )
-          var % nt              = 1
-          var % lod             = 2
-          var % ndim            = 3
-          var % dimids(1)       = output_file % dimids_scl(1)
-          var % dimids(2)       = output_file % dimids_vel(2)
-          var % dimids(3)       = output_file % dimids_scl(3)
-          var % dimvarids(1)    = output_file % dimvarids_scl(1)
-          var % dimvarids(2)    = output_file % dimvarids_vel(2)
-          var % dimvarids(3)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = init_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%nt              = 1
+          var%lod             = 2
+          var%ndim            = 3
+          var%dimids(1)       = output_file%dimids_scl(1)
+          var%dimids(2)       = output_file%dimids_vel(2)
+          var%dimids(3)       = output_file%dimids_scl(3)
+          var%dimvarids(1)    = output_file%dimvarids_scl(1)
+          var%dimvarids(2)    = output_file%dimvarids_vel(2)
+          var%dimvarids(3)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = init_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'init w' )
-          var % nt              = 1
-          var % lod             = 2
-          var % ndim            = 3
-          var % dimids(1)       = output_file % dimids_scl(1)
-          var % dimids(2)       = output_file % dimids_scl(2)
-          var % dimids(3)       = output_file % dimids_vel(3)
-          var % dimvarids(1)    = output_file % dimvarids_scl(1)
-          var % dimvarids(2)    = output_file % dimvarids_scl(2)
-          var % dimvarids(3)    = output_file % dimvarids_vel(3)
-          var % to_be_processed = init_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%nt              = 1
+          var%lod             = 2
+          var%ndim            = 3
+          var%dimids(1)       = output_file%dimids_scl(1)
+          var%dimids(2)       = output_file%dimids_scl(2)
+          var%dimids(3)       = output_file%dimids_vel(3)
+          var%dimvarids(1)    = output_file%dimvarids_scl(1)
+          var%dimvarids(2)    = output_file%dimvarids_scl(2)
+          var%dimvarids(3)    = output_file%dimvarids_vel(3)
+          var%to_be_processed = init_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'init scalar profile', 'init u profile', 'init v profile')
-          var % nt              = 1
-          var % lod             = 1
-          var % ndim            = 1
-          var % dimids(1)       = output_file % dimids_scl(3)    !z
-          var % dimvarids(1)    = output_file % dimvarids_scl(3) !z
-          var % to_be_processed = init_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "average profile"
+          var%nt              = 1
+          var%lod             = 1
+          var%ndim            = 1
+          var%dimids(1)       = output_file%dimids_scl(3)    !z
+          var%dimvarids(1)    = output_file%dimvarids_scl(3) !z
+          var%to_be_processed = init_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "average profile"
 
        CASE( 'init w profile')
-          var % nt              = 1
-          var % lod             = 1
-          var % ndim            = 1
-          var % dimids(1)       = output_file % dimids_vel(3)    !z
-          var % dimvarids(1)    = output_file % dimvarids_vel(3) !z
-          var % to_be_processed = init_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "average profile"
+          var%nt              = 1
+          var%lod             = 1
+          var%ndim            = 1
+          var%dimids(1)       = output_file%dimids_vel(3)    !z
+          var%dimvarids(1)    = output_file%dimvarids_vel(3) !z
+          var%to_be_processed = init_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "average profile"
 
        CASE( 'surface forcing' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time
-          var % dimids(1:2)     = output_file % dimids_soil(1:2)
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1:2)  = output_file % dimvarids_soil(1:2)
-          var % to_be_processed = surface_forcing_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_2d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time
+          var%dimids(1:2)     = output_file%dimids_soil(1:2)
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1:2)  = output_file%dimvarids_soil(1:2)
+          var%to_be_processed = surface_forcing_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_2d"
 
        CASE( 'left scalar', 'right scalar')
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time
-          var % dimids(1)       = output_file % dimids_scl(2)
-          var % dimids(2)       = output_file % dimids_scl(3)
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(2)
-          var % dimvarids(2)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time
+          var%dimids(1)       = output_file%dimids_scl(2)
+          var%dimids(2)       = output_file%dimids_scl(3)
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(2)
+          var%dimvarids(2)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'north scalar', 'south scalar')
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time
-          var % dimids(1)       = output_file % dimids_scl(1)
-          var % dimids(2)       = output_file % dimids_scl(3)
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(1)
-          var % dimvarids(2)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time
+          var%dimids(1)       = output_file%dimids_scl(1)
+          var%dimids(2)       = output_file%dimids_scl(3)
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(1)
+          var%dimvarids(2)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'top scalar', 'top w' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time
-          var % dimids(1)       = output_file % dimids_scl(1)
-          var % dimids(2)       = output_file % dimids_scl(2)
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(1)
-          var % dimvarids(2)    = output_file % dimvarids_scl(2)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time
+          var%dimids(1)       = output_file%dimids_scl(1)
+          var%dimids(2)       = output_file%dimids_scl(2)
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(1)
+          var%dimvarids(2)    = output_file%dimvarids_scl(2)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'left u', 'right u' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time
-          var % dimids(1)       = output_file % dimids_scl(2)
-          var % dimids(2)       = output_file % dimids_scl(3)
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(2)
-          var % dimvarids(2)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time
+          var%dimids(1)       = output_file%dimids_scl(2)
+          var%dimids(2)       = output_file%dimids_scl(3)
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(2)
+          var%dimvarids(2)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'north u', 'south u' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_vel(1) !x
-          var % dimids(2)       = output_file % dimids_scl(3) !z
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_vel(1)
-          var % dimvarids(2)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_vel(1) !x
+          var%dimids(2)       = output_file%dimids_scl(3) !z
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_vel(1)
+          var%dimvarids(2)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'top u' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_vel(1) !x
-          var % dimids(2)       = output_file % dimids_scl(2) !z
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_vel(1)
-          var % dimvarids(2)    = output_file % dimvarids_scl(2)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_vel(1) !x
+          var%dimids(2)       = output_file%dimids_scl(2) !z
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_vel(1)
+          var%dimvarids(2)    = output_file%dimvarids_scl(2)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'left v', 'right v' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time
-          var % dimids(1)       = output_file % dimids_vel(2)
-          var % dimids(2)       = output_file % dimids_scl(3)
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_vel(2)
-          var % dimvarids(2)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time
+          var%dimids(1)       = output_file%dimids_vel(2)
+          var%dimids(2)       = output_file%dimids_scl(3)
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_vel(2)
+          var%dimvarids(2)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'north v', 'south v' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_scl(1) !x
-          var % dimids(2)       = output_file % dimids_scl(3) !z
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(1)
-          var % dimvarids(2)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_scl(1) !x
+          var%dimids(2)       = output_file%dimids_scl(3) !z
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(1)
+          var%dimvarids(2)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'top v' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_scl(1) !x
-          var % dimids(2)       = output_file % dimids_vel(2) !z
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(1)
-          var % dimvarids(2)    = output_file % dimvarids_vel(2)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_scl(1) !x
+          var%dimids(2)       = output_file%dimids_vel(2) !z
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(1)
+          var%dimvarids(2)    = output_file%dimvarids_vel(2)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'left w', 'right w')
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time
-          var % dimids(1)       = output_file % dimids_scl(2)
-          var % dimids(2)       = output_file % dimids_vel(3)
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(2)
-          var % dimvarids(2)    = output_file % dimvarids_vel(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time
+          var%dimids(1)       = output_file%dimids_scl(2)
+          var%dimids(2)       = output_file%dimids_vel(3)
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(2)
+          var%dimvarids(2)    = output_file%dimvarids_vel(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'north w', 'south w' )
-          var % lod             = -1
-          var % ndim            = 3
-          var % dimids(3)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_scl(1) !x
-          var % dimids(2)       = output_file % dimids_vel(3) !z
-          var % dimvarids(3)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(1)
-          var % dimvarids(2)    = output_file % dimvarids_vel(3)
-          var % to_be_processed = boundary_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "interpolate_3d"
+          var%lod             = -1
+          var%ndim            = 3
+          var%dimids(3)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_scl(1) !x
+          var%dimids(2)       = output_file%dimids_vel(3) !z
+          var%dimvarids(3)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(1)
+          var%dimvarids(2)    = output_file%dimvarids_vel(3)
+          var%to_be_processed = boundary_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "interpolate_3d"
 
        CASE( 'time series' )
-          var % lod             = 0
-          var % ndim            = 1
-          var % dimids(1)       = output_file % dimid_time    !t
-          var % dimvarids(1)    = output_file % dimvarid_time
-          var % to_be_processed = .TRUE.
-          var % is_internal     = .FALSE.
-          var % task            = "average profile"
+          var%lod             = 0
+          var%ndim            = 1
+          var%dimids(1)       = output_file%dimid_time    !t
+          var%dimvarids(1)    = output_file%dimvarid_time
+          var%to_be_processed = .TRUE.
+          var%is_internal     = .FALSE.
+          var%task            = "average profile"
 
        CASE( 'constant scalar profile' )
-          var % lod             = -1
-          var % ndim            = 2
-          var % dimids(2)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_scl(3) !z
-          var % dimvarids(2)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = .TRUE.
-          var % is_internal     = .FALSE.
-          var % task            = "set profile"
+          var%lod             = -1
+          var%ndim            = 2
+          var%dimids(2)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_scl(3) !z
+          var%dimvarids(2)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = .TRUE.
+          var%is_internal     = .FALSE.
+          var%task            = "set profile"
 
        CASE( 'large-scale scalar forcing' )
-          var % lod             = -1
-          var % ndim            = 2
-          var % dimids(2)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_scl(3) !z
-          var % dimvarids(2)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = ls_forcing_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "average large-scale profile"
+          var%lod             = -1
+          var%ndim            = 2
+          var%dimids(2)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_scl(3) !z
+          var%dimvarids(2)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = ls_forcing_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "average large-scale profile"
 
        CASE( 'geostrophic' )
-          var % lod             = -1
-          var % ndim            = 2
-          var % dimids(2)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_scl(3) !z
-          var % dimvarids(2)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = .TRUE.
-          var % is_internal     = .FALSE.
-          var % task            = "geostrophic winds"
+          var%lod             = -1
+          var%ndim            = 2
+          var%dimids(2)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_scl(3) !z
+          var%dimvarids(2)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = .TRUE.
+          var%is_internal     = .FALSE.
+          var%task            = "geostrophic winds"
 
        CASE( 'large-scale w forcing' )
-          var % lod             = -1
-          var % ndim            = 2
-          var % dimids(2)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_vel(3) !z
-          var % dimvarids(2)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_vel(3)
-          var % to_be_processed = ls_forcing_variables_required
-          var % is_internal     = .FALSE.
-          var % task            = "average large-scale profile"
+          var%lod             = -1
+          var%ndim            = 2
+          var%dimids(2)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_vel(3) !z
+          var%dimvarids(2)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_vel(3)
+          var%to_be_processed = ls_forcing_variables_required
+          var%is_internal     = .FALSE.
+          var%task            = "average large-scale profile"
 
        CASE( 'internal profile' )
-          var % lod             = -1
-          var % ndim            = 2
-          var % dimids(2)       = output_file % dimid_time    !t
-          var % dimids(1)       = output_file % dimids_scl(3) !z
-          var % dimvarids(2)    = output_file % dimvarid_time
-          var % dimvarids(1)    = output_file % dimvarids_scl(3)
-          var % to_be_processed = .TRUE.
-          var % is_internal     = .TRUE.
-          var % task            = "internal profile"
+          var%lod             = -1
+          var%ndim            = 2
+          var%dimids(2)       = output_file%dimid_time    !t
+          var%dimids(1)       = output_file%dimids_scl(3) !z
+          var%dimvarids(2)    = output_file%dimvarid_time
+          var%dimvarids(1)    = output_file%dimvarids_scl(3)
+          var%to_be_processed = .TRUE.
+          var%is_internal     = .TRUE.
+          var%task            = "internal profile"
 
        CASE DEFAULT
@@ -3630,31 +3649,31 @@
            CALL inifor_abort ('init_nc_var', message)
 
-       END SELECT
-
-    END FUNCTION init_nc_var
-
-
-    SUBROUTINE fini_variables()
-
-       CALL report('fini_variables', 'Deallocating variable table', cfg % debug)
-       DEALLOCATE( input_var_table )
-
-    END SUBROUTINE fini_variables
-
-
-    SUBROUTINE fini_io_groups()
-
-       CALL report('fini_io_groups', 'Deallocating IO groups', cfg % debug)
-       DEALLOCATE( io_group_list )
-
-    END SUBROUTINE fini_io_groups
-
-
-    SUBROUTINE fini_file_lists()
-       
-       CALL report('fini_file_lists', 'Deallocating file lists', cfg % debug)
-       DEALLOCATE( flow_files, soil_files, radiation_files, soil_moisture_files )
-
-    END SUBROUTINE fini_file_lists
+    END SELECT
+
+ END FUNCTION init_nc_var
+
+
+ SUBROUTINE fini_variables()
+
+    CALL report('fini_variables', 'Deallocating variable table', cfg%debug)
+    DEALLOCATE( input_var_table )
+
+ END SUBROUTINE fini_variables
+
+
+ SUBROUTINE fini_io_groups()
+
+    CALL report('fini_io_groups', 'Deallocating IO groups', cfg%debug)
+    DEALLOCATE( io_group_list )
+
+ END SUBROUTINE fini_io_groups
+
+
+ SUBROUTINE fini_file_lists()
+    
+    CALL report('fini_file_lists', 'Deallocating file lists', cfg%debug)
+    DEALLOCATE( flow_files, soil_files, radiation_files, soil_moisture_files )
+
+ END SUBROUTINE fini_file_lists
 
 
